<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >
		<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    		android:layout_width="match_parent"
    		android:layout_height="wrap_content"
    		android:orientation="horizontal" >

 	    <EditText
 	        android:id="@+id/edName"
 	        android:layout_width="wrap_content"
 	        android:layout_height="match_parent"
 	        android:layout_weight="3"
 	        android:inputType="textCapCharacters" />

    	<Button
        android:id="@+id/btPress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:text="@string/btnText" 
        android:onClick="showToast" />
   	</LinearLayout>
   	
		<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    	android:layout_width="match_parent"
    	android:layout_height="wrap_content"
    	android:orientation="horizontal" >
    
    	<TextView
        android:id="@+id/editText1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1" />
    </LinearLayout>
    
</LinearLayout>